> ## Documentation Index
> Fetch the complete documentation index at: https://developer.qminder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reordering a ticket



## OpenAPI

````yaml /api-reference/openapi.json post /v1/tickets/{id}/reorder
openapi: 3.1.0
info:
  title: Qminder API
  version: '1.0'
  description: >-
    The Qminder API allows you to integrate queue management into your own
    applications.
servers:
  - url: https://api.qminder.com
security:
  - sec0: []
tags:
  - name: Locations
    description: Manage physical service locations
  - name: Lines
    description: Manage virtual queues within locations
  - name: Input Fields
    description: Manage custom data fields for locations
  - name: Tickets
    description: Manage visitor queue entries
  - name: Appointments
    description: Manage scheduled appointments
  - name: Users
    description: Manage user accounts and permissions
  - name: Webhooks
    description: Manage webhook subscriptions
paths:
  /v1/tickets/{id}/reorder:
    post:
      tags:
        - Tickets
      summary: Reordering a ticket
      operationId: reordering-a-ticket
      parameters:
        - name: id
          in: path
          description: The ID of the ticket to reorder.
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                after:
                  type: integer
                  description: >-
                    The current ticket will be placed after this ID. If unset,
                    then the ticket will be reordered to be first in the queue.
                  format: int32
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                after:
                  type: integer
                  description: >-
                    The current ticket will be placed after this ID. If unset,
                    then the ticket will be reordered to be first in the queue.
                  format: int32
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "statusCode": 200,
                      "result": "success"
                    }
              schema:
                type: object
                properties:
                  statusCode:
                    type: integer
                    example: 200
                    default: 0
                  result:
                    type: string
                    example: success
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: X-Qminder-REST-API-Key
      x-default: yourbusinessapikey

````